# $Revision: 1.23 $, $Date: 2007/01/23 15:47:01 $
%define		mod_name	dynvhost
%define 	apxs		/usr/sbin/apxs1
Summary:	Dynamic Virtual Hosting
Summary(pl):	Dynamiczne Serwery Wirtualne
Name:		apache1-mod_%{mod_name}
Version:	1
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://funkcity.com/0101/projects/dynvhost/mod_%{mod_name}.tar.gz
# Source0-md5:	7608ca6ce5c906bfe960cd0f92bdb6d8
URL:		http://funkcity.com/0101/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_dynvhost <= 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
The "mod_dynvhost" module will create pseudo name based VirtualHosts
on the fly. All you need is a directory with the fully qualified
domain name (FQDN) of your virtual site and the module will take care
of the rest.

%description -l pl
Modu "mod_dynvhost" pozwala na tworzenie pseudo serwerw wirtualnych
(name based). Wszystko czego potrzebujesz to katalog o penej nazwie
(FQDN) wirtualnego serwera - modu zajmie si reszt.

%prep
%setup -q -n %{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1-2.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_dynvhost.spec,v $
Revision 1.23  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.22  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.21  2006/04/14 16:50:13  glen
- use %service

Revision 1.20  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.18  2005/02/15 12:01:32  glen
- rel 3; STBR

Revision 1.17  2005/02/10 01:48:46  glen
- confdir enabled apache1
- lang corrections

Revision 1.16  2004/08/30 15:12:50  radek
- mv apache{,1}-*; note: Source0 URL points to 404

Revision 1.15  2003/08/06 16:11:21  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.14  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.13  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.10  2002/07/04 12:25:57  kloczek
- use new %doc.

Revision 1.9  2002/04/25 15:45:47  arturs
- fixed a small typo

Revision 1.8  2002/03/19 14:01:38  ankry
- URL fixed

Revision 1.7  2002/02/23 01:23:22  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/17 21:06:18  ankry
- release 2

Revision 1.4  2002/02/17 18:52:19  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.3  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/09 21:19:57  kloczek
- cleanups.

Revision 1.1  2001/09/09 20:23:35  misiek
- initial pld release
